Edit tab on cascade protected pages
OpenPublic

Description

Author: nwwaew

Description:
On pages automatically protected due to cascading protection, the "edit" tab does not change to "view source". The page only shows it is protected when the user clicks the tab and sees the "view source" screen. This has been tested on Wikipedia from a template cascade protected from the main page, as well as on a test wiki on my own web server.


Version: 1.21.x
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=23487
https://bugzilla.wikimedia.org/show_bug.cgi?id=53893

bzimport added a project: MediaWiki-Interface.Via ConduitNov 21 2014, 9:56 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz11700.
bzimport created this task.Via LegacyOct 18 2007, 4:40 PM
bzimport added a comment.Via ConduitOct 18 2007, 5:38 PM

robchur wrote:

This is intentional; checking cascade protection status is quite an expensive operation, so we avoid doing it when it's not needed, i.e. on page views - when the edit operation commences, we do a full check.

Not sure whether use of object caching would be considered effective enough to make this happen for Wikimedia sites; per default, it'd be too expensive for quite a few sites.

werdna added a comment.Via ConduitDec 5 2007, 11:21 AM

This is deliberate, and is done for performance reasons.

MZMcBride added a comment.Via ConduitJan 16 2009, 2:13 AM
  • Bug 17036 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitFeb 5 2009, 6:43 PM

paul.copperman wrote:

*** Bug 17373 has been marked as a duplicate of this bug. ***

duplicatebug added a comment.Via ConduitOct 16 2010, 8:13 PM
  • Bug 25539 has been marked as a duplicate of this bug. ***
duplicatebug added a comment.Via ConduitApr 20 2011, 7:17 PM
  • Bug 14104 has been marked as a duplicate of this bug. ***
Paine_Ellsworth added a comment.Via ConduitNov 17 2012, 2:12 PM

There is something about this bug that was not mentioned. If not changing the "Edit" to "View source" were the only consideration, then I can see why this resulted in WONTFIX. Another result of this bug is that the protected pages become categorized incorrectly. Here is an example:

http://en.wikipedia.org/w/index.php?title=Template:CN&redirect=no

That template shortcut should have been categorized into the "Protected redirects" category. Instead it was categorized into the "Wikipedia pages with incorrect protection templates" category. If many pages have been thusly miscategorized, then the need for a solution cannot be ignored under any circumstances.

Paine_Ellsworth added a comment.Via ConduitNov 24 2012, 11:01 PM

I have a question: The following is printed in the pink warning box that tells editors that the page is protected *after* they click on "Edit"...

"This page is currently protected from editing because it is transcluded in the following page, which is protected with the "cascading" option:

To suggest an edit to this page, submit an edit request on the talk page.

That warning accompanies the "CN" REDIRECT to the "Citation needed" template.

My question is... what about the "Cn" REDIRECT? (Note the lowercase "n") That redirect is also transcluded to the WP:Cascade-protected items page, but when you check the Cn REDIRECT, you find the "Source" instead of the "Edit" tab, and that REDIRECT is placed into the "Protected redirects" category, i.e., the CORRECT category. So why does the Cn REDIRECT work correctly, but the CN REDIRECT does not?

Paine_Ellsworth added a comment.Via ConduitDec 4 2012, 2:29 AM

My question is... what about the "Cn" REDIRECT? (Note the lowercase "n") That
redirect is also transcluded to the WP:Cascade-protected items page, but when
you check the Cn REDIRECT, you find the "Source" instead of the "Edit" tab, and
that REDIRECT is placed into the "Protected redirects" category, i.e., the
CORRECT category. So why does the Cn REDIRECT work correctly, but the CN
REDIRECT does not?

Anomie explained to me how this happens. I still wonder, though, how this can be fixed, so that 1) the "Source" takes the place of the "Edit" tab, and 2) the redirect gets placed into the correct category, "Protected redirects", instead of being placed into a category that indicates that the redirect has been miscategorized?

Paine_Ellsworth added a comment.Via ConduitMar 12 2013, 5:13 PM

So, initially I was told that this had to be fixed at the "software level":

http://en.wikipedia.org/wiki/Template_talk:Citation_needed#Protected_shortcut_redirects

Is the previous "WONTFIX" actually a wontfix, a cantfix or what? Is the only solution for a WP admin to go in and "doubly" protect a page that is already cascade protected? The following redirect:

http://en.wikipedia.org/w/index.php?title=Template:CN&redirect=no

... is still miscategorized and still shows "Edit" where it should show "View source". Is there or is there not a solution to this problem?

Paine_Ellsworth added a comment.Via ConduitMar 24 2013, 1:35 AM

I see where the CN shortcut no longer shows "Edit" where "View source" should be, and it is now correctly categorized. Is this because this bug has been fixed? or because someone went ahead and doubly protected the shortcut?

Paine_Ellsworth added a comment.Via ConduitMar 24 2013, 4:38 AM

(In reply to comment #11)

I see where the CN shortcut no longer shows "Edit" where "View source" should
be, and it is now correctly categorized. Is this because this bug has been
fixed? or because someone went ahead and doubly protected the shortcut?

Never mind, as I see it's been doubly protected, both manually and by cascade.

matmarex added a comment.Via ConduitDec 13 2013, 6:34 PM
  • Bug 58452 has been marked as a duplicate of this bug. ***
werdna removed a subscriber: werdna.Via WebDec 10 2014, 6:17 PM

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.